def lunar_arithmetic(a, b):
    # Выравниваем числа по длине
    max_length = max(len(a), len(b))
    a = a.zfill(max_length)
    b = b.zfill(max_length)

    lunar_sum = []
    lunar_product = []

    for digit_a, digit_b in zip(a, b):
        # Преобразуем символы в целые числа
        num_a = int(digit_a)
        num_b = int(digit_b)

        # Лунная сумма (max)
        lunar_sum.append(str(max(num_a, num_b)))
        # Лунное произведение (min)
        lunar_product.append(str(min(num_a, num_b)))

    # Объединяем результаты в строки
    result_sum = ''.join(lunar_sum)
    result_product = ''.join(lunar_product)

    return result_sum, result_product

# Чтение входных данных
a = input().strip()
b = input().strip()

# Вычисление результатов
result_sum, result_product = lunar_arithmetic(a, b)

# Вывод результата
print(result_sum, result_product)