def lunar_arithmetic(a, b):
    max_length = max(len(a), len(b))
    a = a.zfill(max_length)
    b = b.zfill(max_length)

    sum_result = ''
    product_result = ''

    for digit_a, digit_b in zip(a, b):
        sum_result += str(max(int(digit_a), int(digit_b)))
        product_result += str(min(int(digit_a), int(digit_b)))

    return sum_result, product_result

a = input().strip()
b = input().strip()

sum_result, product_result = lunar_arithmetic(a, b)
print(sum_result, product_result)
